% player_files.pl

:- my_ensure_loaded(library(aux)).

system_files(play,[
	param,ops,parse1,parse2,controller, history, 
	help,interface, setup, gen_menu, start_menu,local,
%	comms,
	invert,matches,notation,stat, thread,
	statify_theory, efficient_state, compile_syms,
	mobility, 
	alphabeta,
	value,
%	experiment,
	advisors
		  ]).

system_files(fullplay,[param,ops,parse1,parse2,controller,menus,interface,
	start_menu,local,comms,invert,matches,notation,stat, 
	compile_state,compile_syms,index_preds]).


% Files defined by generator system

system_files(generator,[
	genstructs,
	piece_names,
	gen,
	tokenizer,
	grammar,
	gen_parameters]).

system_files(library,[aux,tracing,timing,dynamic_load,shells,
	args,randoms,theoryl,menus]).

system_files(analysis,[struct,paths,analysis,mygraphs,floyd,
	tables,arrive,prom,possess,exclude,dominate,group,step,flight,global,potent]).

%----------------------------------------
% The following are used in statify_theory.pl:

theory_files([
	dynamic_preds,
	parse,
	boards,
	print_boards,
	legal,
	goals
	     ]).

%----------------------------------------


total_system_files(Files) :- 
	Files = [
        arrays:library(arrays),
	lists:library(lists),
	random:library(random),
	library(ops),
	library(aux), 
	library(randoms),
	library(dynamic_load),
	library(shells),
	library(theoryl),
	library(menus),

	library(gen),
	library(grammar), 
	library(notation), 
	library(piece_names),
	library(tokenizer),

	library(param),
	library(sysdev),

	library(index_syms),
	library(index_preds),

	library(dynamic_predsstat), 
	library(boardsstat),
	library(print_boardsstat), 
	library(parsestat),
	library(legal3stat),
%	library(legal2stat),
%	library(legalstat),
	library(goalsstat),

	library(invert),
	library(matches),
	library(parse1),
	library(parse2),
%	library(help),
	library(interface),
	library(controller),
	library(start_menu),
	library(local),
	library(comms),
	library(notation),
	library(stat), 
	library(compile_state),
	library(list_state),
% Take next line out to use old state rep
	library(array_board3),
	library(compile_syms),

	library(advisors),
	library(mobility)

	       ].

